# tc_capture_opt_t Struct Reference

`#include <tc.h>`

## Detailed Description

Parameters when initializing a timer/counter in capture mode.

Definition at line 195 of file tc.h.

## Data Fields
unsigned int | abetrg: 1
| TIOA or TIOB external trigger selection: TC_EXT_TRIG_SEL_TIOA; TC_EXT_TRIG_SEL_TIOB.
unsigned int | burst: 2
| Burst signal selection: TC_BURST_NOT_GATED; TC_BURST_CLK_AND_XC0; TC_BURST_CLK_AND_XC1; TC_BURST_CLK_AND_XC2.
unsigned int | channel
| Channel to initialize.
unsigned int | clki: 1
| Clock invert: TC_CLOCK_RISING_EDGE; TC_CLOCK_FALLING_EDGE.
unsigned int | cpctrg: 1
| RC compare trigger enable: TC_NO_TRIGGER_COMPARE_RC; TC_TRIGGER_COMPARE_RC.
unsigned int | etrgedg: 2
| External trigger edge selection: TC_SEL_NO_EDGE; TC_SEL_RISING_EDGE; TC_SEL_FALLING_EDGE; TC_SEL_EACH_EDGE.
unsigned | int:12
unsigned int | ldbdis: 1
| Counter clock disable with RB loading: `FALSE`; `TRUE`.
unsigned int | ldbstop: 1
| Counter clock stopped with RB loading: `FALSE`; `TRUE`.
unsigned int | ldra: 2
| RA loading selection: TC_SEL_NO_EDGE; TC_SEL_RISING_EDGE; TC_SEL_FALLING_EDGE; TC_SEL_EACH_EDGE.
unsigned int | ldrb: 2
| RB loading selection: TC_SEL_NO_EDGE; TC_SEL_RISING_EDGE; TC_SEL_FALLING_EDGE; TC_SEL_EACH_EDGE.
unsigned int | tcclks: 3
| Clock selection: TC_CLOCK_SOURCE_TC1; TC_CLOCK_SOURCE_TC2; TC_CLOCK_SOURCE_TC3; TC_CLOCK_SOURCE_TC4; TC_CLOCK_SOURCE_TC5; TC_CLOCK_SOURCE_XC0; TC_CLOCK_SOURCE_XC1; TC_CLOCK_SOURCE_XC2.

## Field Documentation

unsigned int tc_capture_opt_t::abetrg

TIOA or TIOB external trigger selection:

- TC_EXT_TRIG_SEL_TIOA;
- TC_EXT_TRIG_SEL_TIOB.

Definition at line 228 of file tc.h.

Referenced by tc_init_capture().

unsigned int tc_capture_opt_t::burst

Burst signal selection:

- TC_BURST_NOT_GATED;
- TC_BURST_CLK_AND_XC0;
- TC_BURST_CLK_AND_XC1;
- TC_BURST_CLK_AND_XC2.

Definition at line 252 of file tc.h.

Referenced by tc_init_capture().

unsigned int tc_capture_opt_t::channel

Channel to initialize.

Definition at line 198 of file tc.h.

Referenced by tc_init_capture().

unsigned int tc_capture_opt_t::clki

Clock invert:

- TC_CLOCK_RISING_EDGE;
- TC_CLOCK_FALLING_EDGE.

Definition at line 257 of file tc.h.

Referenced by tc_init_capture().

unsigned int tc_capture_opt_t::cpctrg

RC compare trigger enable:

- TC_NO_TRIGGER_COMPARE_RC;
- TC_TRIGGER_COMPARE_RC.

Definition at line 221 of file tc.h.

Referenced by tc_init_capture().

unsigned int tc_capture_opt_t::etrgedg

External trigger edge selection:

- TC_SEL_NO_EDGE;
- TC_SEL_RISING_EDGE;
- TC_SEL_FALLING_EDGE;
- TC_SEL_EACH_EDGE.

Definition at line 235 of file tc.h.

Referenced by tc_init_capture().

unsigned tc_capture_opt_t::int

Definition at line 200 of file tc.h.

unsigned int tc_capture_opt_t::ldbdis

Counter clock disable with RB loading:

- `FALSE`;
- `TRUE`.

Definition at line 240 of file tc.h.

Referenced by tc_init_capture().

unsigned int tc_capture_opt_t::ldbstop

Counter clock stopped with RB loading:

- `FALSE`;
- `TRUE`.

Definition at line 245 of file tc.h.

Referenced by tc_init_capture().

unsigned int tc_capture_opt_t::ldra

RA loading selection:

- TC_SEL_NO_EDGE;
- TC_SEL_RISING_EDGE;
- TC_SEL_FALLING_EDGE;
- TC_SEL_EACH_EDGE.

Definition at line 214 of file tc.h.

Referenced by tc_init_capture().

unsigned int tc_capture_opt_t::ldrb

RB loading selection:

- TC_SEL_NO_EDGE;
- TC_SEL_RISING_EDGE;
- TC_SEL_FALLING_EDGE;
- TC_SEL_EACH_EDGE.

Definition at line 207 of file tc.h.

Referenced by tc_init_capture().

unsigned int tc_capture_opt_t::tcclks

Clock selection:

- TC_CLOCK_SOURCE_TC1;
- TC_CLOCK_SOURCE_TC2;
- TC_CLOCK_SOURCE_TC3;
- TC_CLOCK_SOURCE_TC4;
- TC_CLOCK_SOURCE_TC5;
- TC_CLOCK_SOURCE_XC0;
- TC_CLOCK_SOURCE_XC1;
- TC_CLOCK_SOURCE_XC2.

Definition at line 268 of file tc.h.

Referenced by tc_init_capture().